
setwd("C:/Users/Graham/Desktop/AlloppDT")

library(ape)

source("AlloppDT_5beastxml_toplevel.r")
source("AlloppDT_6beastxml_bits.r")

#########################################################################
#########################################################################
#########################################################################


# directory for input and output
data.dpath <- "C:/Users/Graham/Desktop/AlloppDT/beast/"

# Input data
fpath.taxatable <- "Silene2TaxaTable.txt"
alignmentnames <- c("RPA2", "RPB2", "RPD2a", "RPD2b")

# BEAST information
beastXMLfilename <- "Silene2.XML"

beast.chain.length <- "1000000"
beast.screen.logevery <- "10000"
beast.params.logevery <- "1000"
beast.gtrees.logevery <- "1000"
beast.multree.logevery <- "1000"
beast.dbugtune.logevery <- "10000"

# BEAST output file names
sampledgtrees.fnamebase <- "sampledgtrees"
sampledmultrees.fname <- "sampledmultrees.txt"
sampledparams.fname <- "sampledparams.txt"
DBUGTUNE.fname <- "DBUGTUNE.txt"



#########################################################################
#########################################################################
#########################################################################



beastAlloppDTxmlinfo <- list(
    data.dpath=data.dpath,
    fpath.taxatable=fpath.taxatable,
    alignmentnames=alignmentnames,
    beastXMLfilename=beastXMLfilename,
    beast.chain.length=beast.chain.length,
    beast.screen.logevery=beast.screen.logevery,
    beast.params.logevery=beast.params.logevery,
    beast.gtrees.logevery=beast.gtrees.logevery,
    beast.multree.logevery=beast.multree.logevery,
    beast.dbugtune.logevery=beast.dbugtune.logevery,
    sampledgtrees.fpathbase=paste(data.dpath, sampledgtrees.fnamebase, sep=""),
    sampledmultrees.fpath=paste(data.dpath, sampledmultrees.fname, sep=""),
    sampledparams.fpath=paste(data.dpath, sampledparams.fname, sep=""), 
    DBUGTUNE.fpath=paste(data.dpath, DBUGTUNE.fname, sep=""))


make.beastxml.AlloppDT.forRealData(beastAlloppDTxmlinfo)

#########################################################################
#########################################################################
#########################################################################

